Bug 1275072 - procmail's error code for EX_CANTCREAT is a 5xx error - causing lost email
procmail's error code for EX_CANTCREAT is a 5xx error - causing lost email
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: procmail (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jaroslav Škarvada
qe-baseos-daemons
:
Depends On: 1275071
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-25 11:27 EDT by Paul Wouters
Modified: 2018-02-18 19:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1275071
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2015-10-25 11:27:35 EDT
+++ This bug was initially created as a clone of Bug #1275071 +++

When running a default install of postfix with procmail if the spool file becomes 50MB, the combination postfix+procmail will fail to write to the mail spool file with error:

procmail: can't create user output file.

The source code shows:

           EX_CANTCREAT, "5.2.0", "can't create user output file",

This means postfix is not signaled to return a temp error and a new delivery is never attempted by the remote smtp server (causing me additional pains not only in lost email but also in having an unreproducable bug that took months to track down)

Note the core reason turned out to be postfix's default behaviour of limiting writes to mbox files in the spool directory to 50MB.


The postfix problem was solved by setting mailbox_size_limit=0


Note this problem only appears when using mbox instead of maildir.
Comment 3 Jaroslav Škarvada 2016-10-25 10:42:17 EDT
I think it is permanent error, I already wrote comment regarding this in bug 1275078 comment 3, i.e. the error is caused by permanent problem on the server, it's unlikely the system recovers itself.

Note You need to log in before you can comment on or make changes to this bug.